CGAL 6.0.2 - Classification

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Classification::Feature::Distance_to_plane< PointRange, PointMap > Class Template Reference
Classification Reference » Predefined Features

`#include <CGAL/Classification/Feature/Distance_to_plane.h>`

## Inherits from

CGAL::Classification::Feature_base.

## Definition

template<typename PointRange, typename PointMap>
class CGAL::Classification::Feature::Distance_to_plane< PointRange, PointMap >

Feature based on local distance to a fitted plane.

Characterizing a level of non-planarity can help to identify noisy parts of the input such as vegetation. This feature computes the distance of a point to a locally fitted plane.

Its default name is "distance_to_plane".

Template Parameters

  PointRange | model of `ConstRange`. Its iterator type is `RandomAccessIterator` and its value type is the key type of `PointMap`.
  PointMap | model of `ReadablePropertyMap` whose key type is the value type of the iterator of `PointRange` and value type is `CGAL::Point_3`.

## Public Member Functions
| Distance_to_plane (const PointRange &input, PointMap point_map, const Local_eigen_analysis &eigen)
| constructs the feature.
Public Member Functions inherited from CGAL::Classification::Feature_base
const std::string & | name () const
| returns the name of the feature (initialized to `abstract_feature` for `Feature_base`).
void | set_name (const std::string &name)
| changes the name of the feature.
virtual float | value (std::size_t index)=0
| returns the value taken by the feature for at the item for the item at position `index`.

## Constructor & Destructor Documentation

## ◆ Distance_to_plane()

template<typename PointRange , typename PointMap >

CGAL::Classification::Feature::Distance_to_plane< PointRange, PointMap >::Distance_to_plane | ( | const PointRange & | input,
|  | PointMap | point_map,
|  | const Local_eigen_analysis & | eigen
| ) |  |

constructs the feature.

Parameters

  input | point range.
  point_map | property map to access the input points.
  eigen | class with precomputed eigenvectors and eigenvalues.